Package org.apache.solr.common.util

## Class NamedList.NamedListEntry<T>

- java.lang.Object
- - org.apache.solr.common.util.NamedList.NamedListEntry<T>

All Implemented Interfaces:
  `Map.Entry<String,​T>`

Enclosing class:
  NamedList<T>

    public static final class NamedList.NamedListEntry<T>
    extends Object
    implements Map.Entry<String,​T>

Helper class implementing Map.Entry<String, T> to store the key-value relationship in NamedList (the keys of which are String-s)

### Constructor Summary

Constructors
`NamedListEntry()`
`NamedListEntry​(String _key, T _value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`T` `getValue()`
`T` `setValue​(T _value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`equals, hashCode`

### Constructor Detail

#### NamedListEntry

    public NamedListEntry()

#### NamedListEntry

    public NamedListEntry​(String _key,
                          T _value)

### Method Detail

#### getKey

    public String getKey()

Specified by:
  `getKey` in interface `Map.Entry<String,​T>`

#### getValue

    public T getValue()

Specified by:
  `getValue` in interface `Map.Entry<String,​T>`

#### setValue

    public T setValue​(T _value)

Specified by:
  `setValue` in interface `Map.Entry<String,​T>`